Enneo

NEO Sessions

Get one NEO session

GET /sessions/{id}

GET /sessions/{id}

Returns a single session with its ticketId — the session→ticket lookup used on a cold-start when only the session id is known. Caller must be a participant of the session, or have accessTechnicalEvents permission.

Path parameters

idstringpathrequired

Session ID (client-minted UUIDv4)

Responses

200 — Successful operation

Response Example

{
  "session": {
    "id": "string",
    "ticketId": 1,
    "lastActivityAt": "2026-01-01T12:00:00Z",
    "createdAt": "2026-01-01T12:00:00Z",
    "participants": [
      {
        "id": 1,
        "name": "string"
      }
    ],
    "messageCount": 1,
    "costUsd": 1,
    "model": "string"
  },
  "success": true
}

403 — Not a participant of this session

404 — Session not found